Package: org.grails.plugins.web.interceptors

## [Groovy] Class UrlMappingMatcher.ClosureExclude

- org.grails.plugins.web.interceptors.UrlMappingMatcher.ClosureExclude

- All Implemented Interfaces and Traits:
    Exclude

      static class UrlMappingMatcher.ClosureExclude
      extends java.lang.Object
      implements Exclude

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private groovy.lang.Closure<java.lang.Boolean>` | `callable` |
    `private Interceptor` | `interceptor` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `groovy.lang.Closure<java.lang.Boolean>` | `callable`
    `Interceptor` | `interceptor`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClosureExclude (Interceptor interceptor, groovy.lang.Closure<java.lang.Boolean> callable)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isExcluded(UrlMappingInfo info)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private groovy.lang.Closure<java.lang.Boolean> callable

    - #### private Interceptor interceptor

  - ### Property Detail

    - #### groovy.lang.Closure<java.lang.Boolean> callable

    - #### Interceptor interceptor

  - ### Constructor Detail

    - #### ClosureExclude(Interceptor interceptor, groovy.lang.Closure<java.lang.Boolean> callable)

  - ### Method Detail

    - #### @java.lang.Override boolean isExcluded(UrlMappingInfo info)